This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 186955 - documentation: migrate_password.pl must be modified
documentation: migrate_password.pl must be modified
Status: CLOSED WONTFIX
Product: 389
Classification: Community
Component: wiki (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Ben Levenson
http://directory.fedora.redhat.com/wi...
:
Depends On:
Blocks: 389_1.3.0
  Show dependency treegraph
 
Reported: 2006-03-27 12:48 EST by Mont Rothstein
Modified: 2015-11-13 17:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 17:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mont Rothstein 2006-03-27 12:48:52 EST
Description of problem:

When doing a basic install of Samba and FDS and following the Howto for
integrating the two the migrate_password.pl must be modified to migrate the
Samba Administrator account.

The following items must be commented out of migrate_password.pl:

    * mailRoutingAddress
    * mailHost
    * inetLocalMailRecipient
    * kerberosSecurityObject
    * krbName

A note that these items need to be commented out, or at least the some editing
of the migrate_password.pl file may be necessary, would be helpful.

Version-Release number of selected component (if applicable):
FDS 1.0.1
Samba 3.0.10
Migration Tools from http://www.padl.com/download/ v47

How reproducible:

Always

Steps to Reproduce:
1. Create file with contents:
    Administrator:x:0:0:Samba Admin:/root:/bin/bash
2. /usr/share/openldap/migration/migrate_passwd.pl /tmp/sambaAdmin >
/tmp/sambaAdmin.ldif
3. /opt/fedora-ds/slapd-<server>/ldif2ldap "cn=Directory manager" password
/tmp/sambaAdmin.ldif
  
Actual results:

The first error is about kerberosSecurityObject being an unknown objectClass. 
Similar errors are given about the other items listed above.

The user is not added to FDS.

Expected results:

The user should be added to FDS

Additional info:
Comment 1 Martin Kosek 2012-01-04 08:49:01 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/143
Comment 3 Noriko Hosoi 2015-11-13 17:45:26 EST
Closing this bug due to moving to the trac system.

https://fedorahosted.org/389/ticket/143

Note You need to log in before you can comment on or make changes to this bug.